42 lines
1.8 KiB
Diff
42 lines
1.8 KiB
Diff
From b5adf7cc6d740c8f4f7b5888f106de24a1181da7 Mon Sep 17 00:00:00 2001
|
|
From: Andreas Schneider <asn@samba.org>
|
|
Date: Tue, 24 May 2022 10:17:00 +0200
|
|
Subject: [PATCH 79/99] CVE-2022-2031 testprogs: Fix auth with smbclient and
|
|
krb5 ccache
|
|
|
|
BUG: https://bugzilla.samba.org/show_bug.cgi?id=15047
|
|
|
|
Signed-off-by: Andreas Schneider <asn@samba.org>
|
|
Reviewed-by: Joseph Sutton <josephsutton@catalyst.net.nz>
|
|
|
|
[jsutton@samba.org Fixed conflict and renamed --use-krb5-ccache to
|
|
--krb5-ccache]
|
|
---
|
|
testprogs/blackbox/test_kpasswd_heimdal.sh | 4 ++--
|
|
1 file changed, 2 insertions(+), 2 deletions(-)
|
|
|
|
diff --git a/testprogs/blackbox/test_kpasswd_heimdal.sh b/testprogs/blackbox/test_kpasswd_heimdal.sh
|
|
index 7351ce022d1..1e895daa162 100755
|
|
--- a/testprogs/blackbox/test_kpasswd_heimdal.sh
|
|
+++ b/testprogs/blackbox/test_kpasswd_heimdal.sh
|
|
@@ -72,7 +72,7 @@ testit "kinit with user password" \
|
|
do_kinit $TEST_PRINCIPAL $TEST_PASSWORD || failed=`expr $failed + 1`
|
|
|
|
test_smbclient "Test login with user kerberos ccache" \
|
|
- "ls" "$SMB_UNC" -k yes || failed=`expr $failed + 1`
|
|
+ "ls" "$SMB_UNC" --krb5-ccache=${KRB5CCNAME} || failed=`expr $failed + 1`
|
|
|
|
testit "change user password with 'samba-tool user password' (unforced)" \
|
|
$VALGRIND $PYTHON $samba_tool user password -W$DOMAIN -U$TEST_USERNAME%$TEST_PASSWORD -k no --newpassword=$TEST_PASSWORD_NEW || failed=`expr $failed + 1`
|
|
@@ -85,7 +85,7 @@ testit "kinit with user password" \
|
|
do_kinit $TEST_PRINCIPAL $TEST_PASSWORD || failed=`expr $failed + 1`
|
|
|
|
test_smbclient "Test login with user kerberos ccache" \
|
|
- "ls" "$SMB_UNC" -k yes || failed=`expr $failed + 1`
|
|
+ "ls" "$SMB_UNC" --krb5-ccache=${KRB5CCNAME} || failed=`expr $failed + 1`
|
|
|
|
###########################################################
|
|
### check that a short password is rejected
|
|
--
|
|
2.25.1
|